package com.ruoyi.framework.recovery.domain.dto;

import java.util.Date;

public class UserCouponsDto {
    /**
     * id
     */
    private Long id;

    /**
     * 用户openid
     */
    private String openId;

    /**
     * 优惠卷id
     */
    private Long couponsId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 截止时间
     */
    private Date findDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Long getCouponsId() {
        return couponsId;
    }

    public void setCouponsId(Long couponsId) {
        this.couponsId = couponsId;
    }

    public Date getFindDate() {
        return findDate;
    }

    public void setFindDate(Date findDate) {
        this.findDate = findDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "UserCouponsDto{" +
                "id=" + id +
                ", openId='" + openId + '\'' +
                ", couponsId=" + couponsId +
                ", createTime=" + createTime +
                ", findDate=" + findDate +
                '}';
    }
}
